using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using NetworkResurrector.Api.Domain.Entities.Power;

namespace NetworkResurrector.Api.Domain.Data.EntityTypeConfiguration.Power
{
    class PowerActionPerformerConfiguration : IEntityTypeConfiguration<PowerActionPerformer>
    {
        public void Configure(EntityTypeBuilder<PowerActionPerformer> builder)
        {
            builder.ToTable("PowerActionPerformer").HasKey(key => key.PerformerId);
            builder.Property(z => z.PerformerId).ValueGeneratedOnAdd();
        }
    }
}
